/*
    Copyright (C) 2000 DFN-FWL (http://www.fwl.dfn.de/fwl)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*
 * $Id: ftype_check.h,v 1.4 2000/05/07 16:35:46 glauschwuffel Exp $
 *
 * $Log: ftype_check.h,v $
 * Revision 1.4  2000/05/07 16:35:46  glauschwuffel
 * cleanup
 *
 * Revision 1.3  2000/03/07 15:06:50  goldbach
 * added GPL info
 *
 * Revision 1.2  1999/08/04 11:41:43  gellert
 * Changed the type check. Now there are two kinds of entries in httpf.cfg:
 * 1) ftype mimetype offset pattern: If the given mimetype matches, than
 *    it is checked whether the block contains pattern at offset.
 * 2) ftype mimetype: If the given mimetype matches, no further check follows.
 *    This makes sense for types like text/plain...
 * These changes required the change of the threadcontext, there is now a
 * character string containing the given mimetype of the server response.
 *
 * Revision 1.1  1999/05/27 11:32:33  gellert
 * check type of files (eg gif, jpeg, ps, pdf)
 *
 *
 */

#ifndef __TYPECHECK__
#define __TYPECHECK__

#include "mythreads.h"

int type_insert(char *pattern, char *type, int offset, int length);
int type_check(TCT *tct); 
#endif

