/*
    Copyright (C) 2000 DFN-FWL (http://www.fwl.dfn.de/fwl)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*
 * httpf.h
 *
 * $Id: httpf.h,v 1.8 2000/06/21 19:00:03 glauschwuffel Exp $
 *
 * $Log: httpf.h,v $
 * Revision 1.8  2000/06/21 19:00:03  glauschwuffel
 * small patch for the test suite and a minor cleanup of log
 * messages
 *
 * Revision 1.7  2000/03/07 15:06:51  goldbach
 * added GPL info
 *
 * Revision 1.6  1999/08/04 11:41:44  gellert
 * Changed the type check. Now there are two kinds of entries in httpf.cfg:
 * 1) ftype mimetype offset pattern: If the given mimetype matches, than
 *    it is checked whether the block contains pattern at offset.
 * 2) ftype mimetype: If the given mimetype matches, no further check follows.
 *    This makes sense for types like text/plain...
 * These changes required the change of the threadcontext, there is now a
 * character string containing the given mimetype of the server response.
 *
 * Revision 1.5  1999/07/15 19:54:37  gellert
 * Just reduced the buffer size to 4096 bytes.
 *
 * Revision 1.4  1999/05/27 16:48:00  goldbach
 * minor cleanup for logmsg()
 *
 * Revision 1.3  1999/05/27 11:29:36  gellert
 * well, now it does what we want. just small mistakes (eg end of
 * comments) are done.
 *
 * Revision 1.2  1999/02/11 14:44:48  goldbach
 * Erste Version
 *
 *
 */

/*
 * Puffergroesse fuer Ein-, Ausgabe und Fehlerverarbeitung
 */
#define HTTP_BUFSIZE (8192)
#define LEN_MIMETYPE (255)

int setsocksize ( int socket, int size);

