/*
    Copyright (C) 2000 DFN-FWL (http://www.fwl.dfn.de/fwl)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*
 * $Log: log.h,v $
 * Revision 1.1  2000/06/19 22:06:33  glauschwuffel
 * Major overhaul of the HTML parser. Now we have something like a
 * state machine (yes, I know that I should've done it that way
 * in the first place ;)).
 *
 * Split up some modules (misc.c, copy_pkts.c). filter_html.c
 * is much more cleaner now. I think that everyone should be able
 * to understand how the HTML parser works now. Especially
 * the skipping of comments is easy to get now ;)
 *
 * This seems to be getting cleaner...
 *
 *
 * $Id: log.h,v 1.1 2000/06/19 22:06:33 glauschwuffel Exp $
 */

#ifndef __LOG__
#define __LOG__

#include <syslog.h>
#include <semaphore.h> /* semaphore. vsnprintf is not MT-Safe */
#include <stdio.h> /* vsnprintf */
#include <stdarg.h> /* va_list */

/* overall size of log buffer */
#define SIZE_LOGBUF 4096

#define DEFAULT_LOG_LEVEL LOG_NOTICE

void initialize_logging(void);
int logmsg (int, const char*, ...);
#endif
