/*
    Copyright (C) 2000 DFN-FWL (http://www.fwl.dfn.de/fwl)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*
 * $Id: misc.h,v 1.14 2001/03/01 16:00:30 glauschwuffel Exp $
 *
 * $Log: misc.h,v $
 * Revision 1.14  2001/03/01 16:00:30  glauschwuffel
 * protype corrections
 *
 * Revision 1.13  2000/06/19 22:06:33  glauschwuffel
 * Major overhaul of the HTML parser. Now we have something like a
 * state machine (yes, I know that I should've done it that way
 * in the first place ;)).
 *
 * Split up some modules (misc.c, copy_pkts.c). filter_html.c
 * is much more cleaner now. I think that everyone should be able
 * to understand how the HTML parser works now. Especially
 * the skipping of comments is easy to get now ;)
 *
 * This seems to be getting cleaner...
 *
 * Revision 1.12  2000/05/07 16:08:08  glauschwuffel
 * changed protos
 *
 * Revision 1.11  2000/04/16 15:32:55  gellert
 * output_string called reset_buffers() which could lead to negative string
 * lengths in calls to itself. Fixed and added some checks ;)
 *
 * Revision 1.10  2000/03/07 15:06:52  goldbach
 * added GPL info
 *
 * Revision 1.9  2000/02/21 14:56:20  gellert
 * Removed the unused function "output_data"
 *
 * Revision 1.8  1999/07/28 14:23:01  gellert
 * some functions moved to here (legal_constituent etc)
 *
 * Revision 1.7  1999/07/22 14:30:54  gellert
 * some improvements of the determination of the tag end,
 * now nested quotes etc are supported.
 * changed config option replace to replabort/replcont.
 *
 * Revision 1.6  1999/06/09 20:47:42  gellert
 * just some little includes and prototypes against the
 * warnings.
 *
 * Revision 1.5  1999/06/09 20:33:54  gellert
 * new version. now the parsing of tags and attributes works.
 * and it still works if the client cancels the transmission
 * (stop button in browser).
 *
 * Revision 1.4  1999/05/27 16:44:35  goldbach
 * added logmsg()
 *
 * Revision 1.3  1999/05/27 11:29:37  gellert
 * well, now it does what we want. just small mistakes (eg end of
 * comments) are done.
 *
 * Revision 1.2  1999/05/12 16:04:23  goldbach
 * major clean-up session
 *
 * Revision 1.1  1999/05/04 09:19:20  goldbach
 * first version.
 *
 */

#include <stdio.h>
#include <syslog.h>
#include <errno.h>
#include "mythreads.h"

#define	max(a, b) 		((a) < (b) ? (b) : (a))
#define	min(a, b) 		((a) > (b) ? (b) : (a))


void reset_buffers(TCT *);
void reset_inbuf(TCT *tct);
int output_string(char *, size_t, TCT *);
void error_string(char *, int, TCT *);
char *strnchr(char *, char, int);
char *find_eol(char *, int, int);

int mkdaemon (void);
void xdbuf(register char *, register int, FILE *);
int test_write(int);

