/*
    Copyright (C) 2000 DFN-FWL (http://www.fwl.dfn.de/fwl)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*
 * $Id: parse_tools.h,v 1.3 2001/03/03 17:25:51 glauschwuffel Exp $
 *
 * $Log: parse_tools.h,v $
 * Revision 1.3  2001/03/03 17:25:51  glauschwuffel
 * The check for binary data declared as text/html is now available on
 * Linux, too (protected unsafe rand() with semaphore).
 *
 * Expanded the error page when binary data is found a bit:
 * the contents surrounding the suspicious byte is now displayed.
 *
 * Revision 1.2  2001/03/01 16:01:43  glauschwuffel
 * The inbuf_contains_binary predicate now doesn't check the HTTP header
 * ;) This was due to the fact that we didn't keep in mind that the data
 * began at offset inoffset...
 *
 * Revision 1.1  2000/06/19 22:06:33  glauschwuffel
 * Major overhaul of the HTML parser. Now we have something like a
 * state machine (yes, I know that I should've done it that way
 * in the first place ;)).
 *
 * Split up some modules (misc.c, copy_pkts.c). filter_html.c
 * is much more cleaner now. I think that everyone should be able
 * to understand how the HTML parser works now. Especially
 * the skipping of comments is easy to get now ;)
 *
 * This seems to be getting cleaner...
 *
 */

#ifndef __PARSE_TOOLS__
#define __PARSE_TOOLS__

#ifdef linux
#include <stdlib.h> /* rand() */
#endif

#include <string.h>
#include <ctype.h>
#include "mythreads.h"
#include "misc.h"

char a_quote(char*);
char *find_end(char*,char,TCT*);
char *find_unquoted_end(char*,TCT*);

int legal_constituent(int);
int legal_val_constituent(int);
int legal_whitespace(int);
char *skip_leading_whitespace(char*,TCT*);
char *skip_to_next_whitespace(char*,TCT*);
int check_inbuf_pointer(char*,TCT*);
int skip_comment(TCT*);
int skip_to_end_of_tag(TCT*);
int copy_doctype(char*, TCT*);

int inbuf_contains_binary(TCT*);
void print_binary_data_warning(TCT*, int);
#endif
