#! /bin/bash
SERVERDIR=httpf
TESTDIR=../test

HTTP_BUFSIZE=8192

JUNKFILE=${TESTDIR}/junk
SMALLJUNKFILE=${TESTDIR}/somejunk

PORT=1080

echo "Setting up the test system."

# get the size of the constant document header
empty.sh

# Create our dummy content.
# The junk file plus the constant document header
# fills the proxy's input buffer completely.
#
# If you want some HTML element to run over
# buffer bounds just cat the small junk file
# in the document and add the things to test
# after it.
read size <${TESTDIR}/server.header.size
let junksize=8192-size
let smalljunksize=junksize-50
yes "1 3 5 7 "|head -c ${junksize} > ${JUNKFILE}
yes "1 3 5 7 "|head -c ${smalljunksize} > ${SMALLJUNKFILE}

echo "Created big and smaller junk files."

# build initial view
setup_view.sh

# test environment is set up now
echo "Setup complete. Running tests."
echo "-----"

# run the tests

test_simple.sh tags "Feature test for tags"
test_buffer.sh sizy_comment "Sizy comment over buffer bounds"
test_buffer.sh tag_over_bounds "Tag over buffer bounds"
test_buffer.sh attr_over_bounds "Attribute over buffer bounds"
test_buffer.sh value_over_bounds "Value over buffer bounds"
test_buffer.sh replacement_over_bounds "Replacement over buffer bounds"
test_buffer.sh malformed_over_bounds "Malformed over buffer bounds"

# end of tests
echo "-----"
echo "Tests run. Cleaning up."

#rm ${JUNKFILE}
#rm ${SMALLJUNKFILE}
#rm ${TESTDIR}/server.header.size
#rm ${TESTDIR}/*.result



