#! /bin/sh

# Test buffer handling.
# Args: stem name and text to echo. Call with a third argument
# if the compund document should NOT be deleted afterwards.

# Cats stem_start.html, stem.html and stem_end.html
# together and compares the result.

TESTDIR=../test
PORT=1080
SMALLJUNKFILE=${TESTDIR}/somejunk

stem=${TESTDIR}/${1}
start=${stem}_start.html
end=${stem}_end.html
view=$view_{stem}.html

if ! test -a ${start}; then
  echo Expected file ${start} missing
  exit 1
fi;

if ! test -a ${end}; then
  echo Expected file ${end} missing
  exit 1
fi;

echo ${2}
cat  ${start} ${SMALLJUNKFILE} ${end} > ${stem}.html 
compare.sh ${1}.html ${PORT}

echo 'Test: <a href='${stem}.html' type="text/plain" target=test>'>>${TESTDIR}/tests.html
echo ${2}'</a>'>>${TESTDIR}/tests.html

echo ', the<a href='${TESTDIR}/${1}.html.result' type="text/plain" target=result>'>>${TESTDIR}/tests.html
echo 'result</a> received from the server'>>${TESTDIR}/tests.html

echo 'and the result we <a href='${TESTDIR}/${1}.html.expect' type="text/plain" target=expect>'>>${TESTDIR}/tests.html
echo 'expected</a> (without httpf_id)<br><hr>'>>${TESTDIR}/tests.html


#if ! test "$3" ; then
#  rm ${stem}.html
#fi;

