/*
    Copyright (C) 2000 DFN-FWL (http://www.fwl.dfn.de/fwl)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*
 * $Id: taghash.h,v 1.6 2000/04/24 19:44:34 gellert Exp $
 *
 * $Log: taghash.h,v $
 * Revision 1.6  2000/04/24 19:44:34  gellert
 * Added new feature: clients entry in httpf.cfg. Only configured
 * clients are allowed to connect to httpf.
 * The handling of the lists of protocols and the lists
 * of allowed clients are now handled in cfglists.c
 *
 * Revision 1.5  2000/03/07 15:06:58  goldbach
 * added GPL info
 *
 * Revision 1.4  1999/11/26 10:47:10  goldbach
 * New actions introduced: replskip and replendskip skip sections of documents, i.e. data won\'t be sent to the client.
 *
 * Revision 1.3  1999/07/22 14:30:54  gellert
 * some improvements of the determination of the tag end,
 * now nested quotes etc are supported.
 * changed config option replace to replabort/replcont.
 *
 * Revision 1.2  1999/07/15 16:56:46  gellert
 * added protocol test for URLs. Nor allowed protocols are stored
 * in a list (eg. http,ftp,file). Other protocols are not allowed
 * (eg. javascript:, about:)
 *
 * Revision 1.1  1999/04/28 09:18:41  gellert
 * added the modules to read in the config file and place the
 * tags and attributes into a hash table.
 *
 */

#ifndef __TAGHASH__
#define __TAGHASH__

/* lengths of the tags-, attribute- and value-names. */
#define	TAG_NAME_LENGTH		255
#define ATTRIB_NAME_LENGTH	255
#define REPLACE_LENGTH		255

/* action: replace, allow and/or log, else unspecified */
#define ACT_UNSPEC	0
#define	ACT_ALLOW	1
/* replace and abort (skip the following attributes) */
#define	ACT_REPLABORT	2
/* replace and continue */
#define	ACT_REPLCONT	4
#define ACT_LOG		8

/* skip part of document */
#define	ACT_REPLSKIP    16
#define	ACT_REPLENDSKIP 32

int tag_insert(char *name, char *replacement, int action);
char *tag_replacement(char *string);
int tag_action(char *string);
struct hash_list *tag_find(char *name);

int attrib_insert(char *name, char *replacement, int action);
char *attrib_replacement(char *string);
int attrib_action(char *string);
struct hash_list *attrib_find(char *name);

#endif

