/*
    Copyright (C) 2000 DFN-FWL (http://www.fwl.dfn.de/fwl)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*
 * $Id: threads.h,v 1.1 2001/03/01 16:07:07 glauschwuffel Exp $
 *
 * $Log: threads.h,v $
 * Revision 1.1  2001/03/01 16:07:07  glauschwuffel
 * The thread stuff from httpf.c went here. Also some things for handling
 * signal were added: SIGHUP is blocked, the worker thread 'handler' is
 * here.
 *
 * Cleanup: use of constants OKAY/FAILURE
 *
 *
 */

#ifndef __THREADS_H__
#define __THREADS_H__

#include <pthread.h>

#include "mythreads.h"

void initialize_worker_threads();

void allocate_tcts(int);
void give_job_to_thread(int,int);
int find_thread (int);
void threaddy (TCT*);
int span_threads (int);
int tune_res_lim(int);

void initialize_deadlock_checker();
pthread_t start_deadlock_checker();

void close_descriptors(void);
int check_for_hangup_flag(TCT*);

typedef struct deadlock {
  /* maximum time to wait for recv() */ 
  time_t maxwait;
  /* seconds the deadlock checker sleeps between two checks */
  unsigned int sleep;
  /* array of thread contexts */
  TCT *tcts;
} DEADLOCK;

#endif
